﻿* Encoding: UTF-8.

*Run this code on a copy of the full original AVS 2021
    
*Rename several variables before saving them.

RENAME VARIABLES 
    relig=religion13.

RENAME VARIABLES 
    RELIG2=EvanChristian.

RENAME VARIABLES 
    ppage=age.

RENAME VARIABLES 
    ppethm=race.

RENAME VARIABLES 
    ppgender=gender.

RENAME VARIABLES 
    ppinc7=income7.

RENAME VARIABLES 
    xparty4=partyID.

RENAME VARIABLES 
    ppeducat=educ5.




*Coding to variables added to the SPSS 3 dataset, including some not used in the 
    assignment--same code will be used for SPSS 4 and beyond. 
   

*QAnonDVs. 
   
        RECODE Q34_b (SYSMIS=SYSMIS) (-1=SYSMIS) (4=1) (3=2) (2=3) (1=4) INTO QanonAgree4.
        VARIABLE LABELS  QanonAgree4 'Level of agreement Qanon conspiracy, 4 level'.
        EXECUTE.
            VALUE LABELS QanonAgree4
            1 "Completely disagree"
            2 "Mostly disagree"
            3 "Mostly agree"
            4 "Completely agree"
            .
            EXECUTE.     

*Republican Dem dummy variables.

      COMPUTE Republican = 0.
              IF partyID = 1  Republican  = 1. 
              IF partyID > 8 Republican  = $SYSMIS.
            VARIABLE LABELS Republican "Republican".
            VALUE LABELS Republican
              0 "Not a Republican"
              1 "Republican"
            .
            EXECUTE.

     COMPUTE Democrat = 0.
              IF partyID = 2  Democrat  = 1. 
              IF partyID > 8 Democrat  = $SYSMIS.
            VARIABLE LABELS Democrat "Democrat".
            VALUE LABELS Democrat
              0 "Not a Democrat"
              1 "Democrat"
            .
            EXECUTE.

    COMPUTE NotDemOrRep = 0.
              IF Democrat = 1 OR Republican  = 1  NotDemOrRep = 1. 
              IF partyID > 8     NotDemOrRep  = $SYSMIS.
            VARIABLE LABELS NotDemOrRep "Neither a Democrat or Republican".
            VALUE LABELS NotDemOrRep
              0 "Neither a Democrat or Republican"
              1 "Is a Democrat or Republican"
            .
            EXECUTE.
       

*Create a dummy variable for Male respondents.
       
       CODEBOOK gender. 
       COMPUTE Male = $SYSMIS.
              IF gender = 1 Male  = 1. 
              IF gender > 1 Male  = 0.
            VARIABLE LABELS Male "R. is male".
            VALUE LABELS Male
              0 "Female"
              1 "Male"
            .
            EXECUTE.       
        
        DESCRIPTIVES VARIABLES=Male
          /STATISTICS=MEAN STDDEV MIN MAX.

    *EvanProt dummy, includes Jehovah's Witness, Mormon, and generic Christians
    
    COMPUTE EvanProt= 0.
              IF (EvanChristian = 1 AND religion13  = 2) EvanProt = 1.  
              IF (EvanChristian = 1 AND religion13  = 3) EvanProt = 1. 
              IF (EvanChristian = 1 AND religion13  = 4) EvanProt = 1. 
              IF (EvanChristian = 1 AND religion13  = 11) EvanProt = 1.
            VARIABLE LABELS EvanProt "Evangelical Protestant".
            VALUE LABELS EvanProt
              1 "Evangelical Protestant"
              0 "Not an Evangelical Protestant"
            .
            EXECUTE.    
    
    
*Recode to remove missing data: PreferUSofChristians10pt.
RECODE Q9_13 (SYSMIS=SYSMIS) (-1=SYSMIS) (ELSE=Copy) INTO PreferUSofChristians10pt.
VARIABLE LABELS  PreferUSofChristians10pt 'Prefence for an America made up of Christians? 10-point scale'.
EXECUTE.
VALUE LABELS PreferUSofChristians10pt
    1 "I would prefer the U.S. to be a nation made up of people belonging to a wide variety of religions."
    10 "I would prefer the U.S. to be a nation primarily made up of people who follow the Christian faith."
    .
EXECUTE.

 *Sort the varaible order... the ones at the bottom are the one's we'll keep  

SORT CASES BY 
Respid
kp_weight
Q1_a
Q2_c
Q3_a
Q4
Q5_a
Q8_4
Q9_13
Q11_a
Q11_b
Q11_d
Q11_e
Q13
Q14
Q15_a
Q15_b
Q17
Q19
Q28
Q31
Q33_c
Q34_a
Q34_b
Q34_c
Q34_d
age
gender
Male
race
educ5
income7
religion13
EvanProt
EvanChristian
attend
partyID
Republican
Democrat
NotDemOrRep
QanonAgree4
PreferUSofChristians10pt
.

*FOR SPSS 3, we'll drop most of the variables that the asssignment doesn't need, 
*Check the desination folder. 
SAVE OUTFILE='C:\Users\msetz\My Drive\SetzlerWebsite\public_html\ResearchMethods\PPTs\SPSS materials\SPSS 3 descriptives, frequ, barcharts, ttests\small version.AVS 2021 for PSC2019 SPSS 3.sav'
 /keep = 
age
gender
Male
race
educ5
income7
religion13
EvanProt
EvanChristian
attend
partyID
Republican
Democrat
NotDemOrRep
QanonAgree4
PreferUSofChristians10pt
 /COMPRESSED.

